<html>
<head>
<title>OGRE: Ogre::SceneQueryListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1SceneQueryListener.html">SceneQueryListener</a></div>
<h1>Ogre::SceneQueryListener Class Reference</h1><!-- doxytag: class="Ogre::SceneQueryListener" -->This optional class allows you to receive per-result callbacks from <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> executions instead of a single set of consolidated results.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::SceneQueryListener:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1SceneQueryListener-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQueryListener.html#d0ea5280ec1032a5170999eb7ae3fb2b">~SceneQueryListener</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQueryListener.html#70936d2cd7413dd284faef05528ddb92">queryResult</a> (<a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *object)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called when a <a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a> is returned by a query.  <a href="#70936d2cd7413dd284faef05528ddb92"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQueryListener.html#c17a072217f44693bb45ecbcd1623611">queryResult</a> (<a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a> *fragment)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called when a WorldFragment is returned by a query.  <a href="#c17a072217f44693bb45ecbcd1623611"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
This optional class allows you to receive per-result callbacks from <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> executions instead of a single set of consolidated results. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>You should override this with your own subclass. Note that certain query classes may refine this listener interface. </dd></dl>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00181">181</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="d0ea5280ec1032a5170999eb7ae3fb2b"></a><!-- doxytag: member="Ogre::SceneQueryListener::~SceneQueryListener" ref="d0ea5280ec1032a5170999eb7ae3fb2b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::SceneQueryListener::~SceneQueryListener           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00184">184</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="70936d2cd7413dd284faef05528ddb92"></a><!-- doxytag: member="Ogre::SceneQueryListener::queryResult" ref="70936d2cd7413dd284faef05528ddb92" args="(MovableObject *object)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::SceneQueryListener::queryResult           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&nbsp;</td>
          <td class="paramname"> <em>object</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called when a <a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a> is returned by a query. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The implementor should return 'true' to continue returning objects, or 'false' to abandon any further results from this query. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#e5790f3c5368f8157c72a2d4092e67c6">Ogre::SceneManager::ShadowCasterSceneQueryListener</a>, and <a class="el" href="classOgre_1_1RegionSceneQuery.html#49641297f4affe82b8e9f8b9ab3ff9f4">Ogre::RegionSceneQuery</a>.</p>

</div>
</div><p>
<a class="anchor" name="c17a072217f44693bb45ecbcd1623611"></a><!-- doxytag: member="Ogre::SceneQueryListener::queryResult" ref="c17a072217f44693bb45ecbcd1623611" args="(SceneQuery::WorldFragment *fragment)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::SceneQueryListener::queryResult           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a> *&nbsp;</td>
          <td class="paramname"> <em>fragment</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called when a WorldFragment is returned by a query. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The implementor should return 'true' to continue returning objects, or 'false' to abandon any further results from this query. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#3ed87926c960fcea5fa701b61c92cd2c">Ogre::SceneManager::ShadowCasterSceneQueryListener</a>, and <a class="el" href="classOgre_1_1RegionSceneQuery.html#e52b991bb3e6ecdb688c3d06d245c468">Ogre::RegionSceneQuery</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:25 2008
</p>
</body>
</html>
